<?php define('KLAY_PATH', ''); 
require KLAY_PATH.'Klay.php'; 

$klay = new Klay([
    'base_url' => 'http:/localhost:2147',
    'admin_url' => 'admin',
    'content_path' => 'content',
    'item_schemas' => [
        [
            'name' => 'dog',
            'title' => 'Dogs',
            'title_single' => 'Dog',
            'title_plural' => 'Dogs',
            'url_slug' => '(:base)/dogs/(:slug)',
            'icon' => 'pets',
            'fields' => [
                [ 'type'=>'text', 'name'=>'full_name', 'label'=>'Full name', 'group'=>'Details' ],
                [ 'type'=>'number', 'name'=>'birthyear', 'label'=>'Birth year', 'min'=>1900, 'max'=>2030, 'group'=>'Details' ],
                [ 'type'=>'asset', 'name'=>'image', 'group'=>'Media' ],
            ]  
        ]
    ],
    'routes' => [
        '/' => function($klay){
            $klay->output(200, [
                'msg' => '👋🏼 Hello!',
                'links' => [ '/api/dogs', '/api/create-a-dog' ],
            ]);
        },
        '/api/dogs' => function($klay){
            $klay->output(200, [ 'dogs' => $klay->db('dog')->all() ]);
        },
        '/api/create-a-dog' => function($klay){
            $response = $klay->db('dog')->insert([ 'title'=>'Dog #'.rand(1111,9999) ]);
            $klay->output(200, [ 'created' => $response, ]);
        },
        '404' => function($klay){
            $klay->output(200, [ 'error' => '⛔ 404 — not found', ]);
        },
    ],
    'logins' => [ 
        ['username'=>'dog', 'password'=>'lover', 'hint'=>'Look in the index.php file.']
    ],
    'login_disabled' => true,
    'display_errors' => true,
]);